//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Datafile {
/// <summary>
/// Adds the given requestID to the watch list.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAD6875BBC0FC899C<br />
/// </para>
/// </remarks>
public static void DatafileWatchRequestId(int requestId){
Function.Call((Hash)0xAD6875BBC0FC899CuL, requestId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6CC86E78358D5119<br />
/// </para>
/// </remarks>
public static void DatafileClearWatchList(){
Function.Call((Hash)0x6CC86E78358D5119uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFCCAE5B92A830878<br />
/// </para>
/// </remarks>
public static bool DatafileIsValidRequestId(int index){
return Function.Call<bool>((Hash)0xFCCAE5B92A830878uL, index);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x15FF52B809DB2353<br />
/// </para>
/// </remarks>
public static bool DatafileHasLoadedFileData(int requestId){
return Function.Call<bool>((Hash)0x15FF52B809DB2353uL, requestId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF8CC1EBE0B62E29F<br />
/// </para>
/// </remarks>
public static bool DatafileHasValidFileData(int requestId){
return Function.Call<bool>((Hash)0xF8CC1EBE0B62E29FuL, requestId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x22DA66936E0FFF37<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileSelectActiveFile(int requestId, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x22DA66936E0FFF37uL, requestId, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8F5EA1C01D65A100<br />
/// </para>
/// </remarks>
public static bool DatafileDeleteRequestedFile(int requestId){
return Function.Call<bool>((Hash)0x8F5EA1C01D65A100uL, requestId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC84527E235FCA219<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool UgcCreateContent(int /* bug: structure */ data, int dataCount, string contentName, string description, string tagsCsv, string contentTypeName, bool publish, int /* bug: Any */ p7){
return Function.Call<bool>((Hash)0xC84527E235FCA219uL, data, dataCount, contentName, description, tagsCsv, contentTypeName, publish, p7);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA5EFC3E847D60507<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool UgcCreateMission(string contentName, string description, string tagsCsv, string contentTypeName, bool publish, int /* bug: Any */ p5){
return Function.Call<bool>((Hash)0xA5EFC3E847D60507uL, contentName, description, tagsCsv, contentTypeName, publish, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x648E7A5434AF7969<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool UgcUpdateContent(string contentId, int /* bug: structure */ data, int dataCount, string contentName, string description, string tagsCsv, string contentTypeName, int /* bug: Any */ p7){
return Function.Call<bool>((Hash)0x648E7A5434AF7969uL, contentId, data, dataCount, contentName, description, tagsCsv, contentTypeName, p7);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4645DE9980999E93<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool UgcUpdateMission(string contentId, string contentName, string description, string tagsCsv, string contentTypeName, int /* bug: Any */ p5){
return Function.Call<bool>((Hash)0x4645DE9980999E93uL, contentId, contentName, description, tagsCsv, contentTypeName, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x692D808C34A82143<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool UgcSetPlayerData(string contentId, float rating, string contentTypeName, int /* bug: Any */ p3){
return Function.Call<bool>((Hash)0x692D808C34A82143uL, contentId, rating, contentTypeName, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA69AC4ADE82B57A4<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileSelectUgcData(int p0, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0xA69AC4ADE82B57A4uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9CB0BFA7A9342C3D<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileSelectUgcStats(int p0, bool p1, int /* bug: Any */ p2){
return Function.Call<bool>((Hash)0x9CB0BFA7A9342C3DuL, p0, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x52818819057F2B40<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileSelectUgcPlayerData(int p0, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x52818819057F2B40uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x01095C95CD46B624<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileSelectCreatorStats(int p0, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x01095C95CD46B624uL, p0, p1);
}

/// <summary>
/// Loads a User-Generated Content (UGC) file. These files can be found in &quot;[GTA5]\data\ugc&quot; and &quot;[GTA5]\common\patch\ugc&quot;. They seem to follow a naming convention, most likely of &quot;[name]_[part].ugc&quot;. See example below for usage.<br /><br />Returns whether or not the file was successfully loaded.<br /><br />Example:<br />DATAFILE::DATAFILE_LOAD_OFFLINE_UGC(&quot;RockstarPlaylists&quot;) // loads &quot;rockstarplaylists_00.ugc&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC5238C011AF405E4<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileLoadOfflineUgc(string filename, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0xC5238C011AF405E4uL, filename, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD27058A1CA2B13EE<br />
/// </para>
/// </remarks>
public static void DatafileCreate(int p0){
Function.Call((Hash)0xD27058A1CA2B13EEuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9AB9C1CFC8862DFB<br />
/// </para>
/// </remarks>
public static void DatafileDelete(int p0){
Function.Call((Hash)0x9AB9C1CFC8862DFBuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2ED61456317B8178<br />
/// </para>
/// </remarks>
public static void DatafileStoreMissionHeader(int p0){
Function.Call((Hash)0x2ED61456317B8178uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC55854C7D7274882<br />
/// </para>
/// </remarks>
public static void DatafileFlushMissionHeader(){
Function.Call((Hash)0xC55854C7D7274882uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x906B778CA1DC72B6<br />
/// </para>
/// </remarks>
public static IntPtr DatafileGetFileDict(int p0){
return Function.Call<IntPtr>((Hash)0x906B778CA1DC72B6uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x83BCCE3224735F05<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileStartSaveToCloud(string filename, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x83BCCE3224735F05uL, filename, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4DFDD9EB705F8140<br />
/// </para>
/// </remarks>
public static bool DatafileUpdateSaveToCloud(ref bool p0){
var nativeAssistPointerVar0 = p0;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x4DFDD9EB705F8140uL, &nativeAssistPointerVar0);
}
p0 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBEDB96A7584AA8CF<br />
/// </para>
/// </remarks>
public static bool DatafileIsSavePending(){
return Function.Call<bool>((Hash)0xBEDB96A7584AA8CFuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0xA6EEF01087181EDD<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DatafileLoadOfflineUgcForAdditionalDataFile(int /* bug: Any */ p0, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0xA6EEF01087181EDDuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x6AD0BD5E087866CB<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void DatafileDeleteForAdditionalDataFile(int /* bug: Any */ p0){
Function.Call((Hash)0x6AD0BD5E087866CBuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0xDBF860CF1DB8E599<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static IntPtr DatafileGetFileDictForAdditionalDataFile(int /* bug: Any */ p0){
return Function.Call<IntPtr>((Hash)0xDBF860CF1DB8E599uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x35124302A556A325<br />
/// </para>
/// </remarks>
public static void DatadictSetBool(int /* bug: structure */ objectData, string key, bool value){
Function.Call((Hash)0x35124302A556A325uL, objectData, key, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE7E035450A7948D5<br />
/// </para>
/// </remarks>
public static void DatadictSetInt(int /* bug: structure */ objectData, string key, int value){
Function.Call((Hash)0xE7E035450A7948D5uL, objectData, key, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC27E1CC2D795105E<br />
/// </para>
/// </remarks>
public static void DatadictSetFloat(int /* bug: structure */ objectData, string key, float value){
Function.Call((Hash)0xC27E1CC2D795105EuL, objectData, key, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8FF3847DADD8E30C<br />
/// </para>
/// </remarks>
public static void DatadictSetString(int /* bug: structure */ objectData, string key, string value){
Function.Call((Hash)0x8FF3847DADD8E30CuL, objectData, key, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4CD49B76338C7DEE<br />
/// </para>
/// </remarks>
public static void DatadictSetVector(int /* bug: structure */ objectData, string key, float valueX, float valueY, float valueZ){
Function.Call((Hash)0x4CD49B76338C7DEEuL, objectData, key, valueX, valueY, valueZ);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA358F56F10732EE1<br />
/// </para>
/// </remarks>
public static IntPtr DatadictCreateDict(int /* bug: structure */ objectData, string key){
return Function.Call<IntPtr>((Hash)0xA358F56F10732EE1uL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5B11728527CA6E5F<br />
/// </para>
/// </remarks>
public static IntPtr DatadictCreateArray(int /* bug: structure */ objectData, string key){
return Function.Call<IntPtr>((Hash)0x5B11728527CA6E5FuL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1186940ED72FFEEC<br />
/// </para>
/// </remarks>
public static bool DatadictGetBool(int /* bug: structure */ objectData, string key){
return Function.Call<bool>((Hash)0x1186940ED72FFEECuL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x78F06F6B1FB5A80C<br />
/// </para>
/// </remarks>
public static int DatadictGetInt(int /* bug: structure */ objectData, string key){
return Function.Call<int>((Hash)0x78F06F6B1FB5A80CuL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x06610343E73B9727<br />
/// </para>
/// </remarks>
public static float DatadictGetFloat(int /* bug: structure */ objectData, string key){
return Function.Call<float>((Hash)0x06610343E73B9727uL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3D2FD9E763B24472<br />
/// </para>
/// </remarks>
public static string DatadictGetString(int /* bug: structure */ objectData, string key){
return Function.Call<string>((Hash)0x3D2FD9E763B24472uL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x46CD3CB66E0825CC<br />
/// </para>
/// </remarks>
public static Vector3 DatadictGetVector(int /* bug: structure */ objectData, string key){
return Function.Call<Vector3>((Hash)0x46CD3CB66E0825CCuL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB6B9DDC412FCEEE2<br />
/// </para>
/// </remarks>
public static IntPtr DatadictGetDict(int /* bug: structure */ objectData, string key){
return Function.Call<IntPtr>((Hash)0xB6B9DDC412FCEEE2uL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7A983AA9DA2659ED<br />
/// </para>
/// </remarks>
public static IntPtr DatadictGetArray(int /* bug: structure */ objectData, string key){
return Function.Call<IntPtr>((Hash)0x7A983AA9DA2659EDuL, objectData, key);
}

/// <summary>
/// Types:<br />1 = Boolean<br />2 = Integer<br />3 = Float<br />4 = String<br />5 = Vector3<br />6 = Object<br />7 = Array
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x031C55ED33227371<br />
/// </para>
/// </remarks>
public static int DatadictGetType(int /* bug: structure */ objectData, string key){
return Function.Call<int>((Hash)0x031C55ED33227371uL, objectData, key);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF8B0F5A43E928C76<br />
/// </para>
/// </remarks>
public static void DataarrayAddBool(int /* bug: structure */ arrayData, bool value){
Function.Call((Hash)0xF8B0F5A43E928C76uL, arrayData, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCABDB751D86FE93B<br />
/// </para>
/// </remarks>
public static void DataarrayAddInt(int /* bug: structure */ arrayData, int value){
Function.Call((Hash)0xCABDB751D86FE93BuL, arrayData, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x57A995FD75D37F56<br />
/// </para>
/// </remarks>
public static void DataarrayAddFloat(int /* bug: structure */ arrayData, float value){
Function.Call((Hash)0x57A995FD75D37F56uL, arrayData, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2F0661C155AEEEAA<br />
/// </para>
/// </remarks>
public static void DataarrayAddString(int /* bug: structure */ arrayData, string value){
Function.Call((Hash)0x2F0661C155AEEEAAuL, arrayData, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x407F8D034F70F0C2<br />
/// </para>
/// </remarks>
public static void DataarrayAddVector(int /* bug: structure */ arrayData, float valueX, float valueY, float valueZ){
Function.Call((Hash)0x407F8D034F70F0C2uL, arrayData, valueX, valueY, valueZ);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6889498B3E19C797<br />
/// </para>
/// </remarks>
public static IntPtr DataarrayAddDict(int /* bug: structure */ arrayData){
return Function.Call<IntPtr>((Hash)0x6889498B3E19C797uL, arrayData);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50C1B2874E50C114<br />
/// </para>
/// </remarks>
public static bool DataarrayGetBool(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<bool>((Hash)0x50C1B2874E50C114uL, arrayData, arrayIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3E5AE19425CD74BE<br />
/// </para>
/// </remarks>
public static int DataarrayGetInt(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<int>((Hash)0x3E5AE19425CD74BEuL, arrayData, arrayIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC0C527B525D7CFB5<br />
/// </para>
/// </remarks>
public static float DataarrayGetFloat(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<float>((Hash)0xC0C527B525D7CFB5uL, arrayData, arrayIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD3F2FFEB8D836F52<br />
/// </para>
/// </remarks>
public static string DataarrayGetString(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<string>((Hash)0xD3F2FFEB8D836F52uL, arrayData, arrayIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8D2064E5B64A628A<br />
/// </para>
/// </remarks>
public static Vector3 DataarrayGetVector(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<Vector3>((Hash)0x8D2064E5B64A628AuL, arrayData, arrayIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8B5FADCC4E3A145F<br />
/// </para>
/// </remarks>
public static IntPtr DataarrayGetDict(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<IntPtr>((Hash)0x8B5FADCC4E3A145FuL, arrayData, arrayIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x065DB281590CEA2D<br />
/// </para>
/// </remarks>
public static int DataarrayGetCount(int /* bug: structure */ arrayData){
return Function.Call<int>((Hash)0x065DB281590CEA2DuL, arrayData);
}

/// <summary>
/// Types:<br />1 = Boolean<br />2 = Integer<br />3 = Float<br />4 = String<br />5 = Vector3<br />6 = Object<br />7 = Array
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Datafile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3A0014ADB172A3C5<br />
/// </para>
/// </remarks>
public static int DataarrayGetType(int /* bug: structure */ arrayData, int arrayIndex){
return Function.Call<int>((Hash)0x3A0014ADB172A3C5uL, arrayData, arrayIndex);
}

}}
